Package com.collibra.dgc.core.api.model.articulation

# Interface ArticulationRule

All Superinterfaces:
  `Entity`, `Resource`, `Serializable`

public interface ArticulationRule extends Resource
Represents single rule used to calculate an articulation score for an asset.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `NamedResourceReference`
  `getAttributeType()`
  Returns the (optional) attribute type this rule is matching on.
  `ArticulationOperation`
  `getOperation()`
  Returns the type of an operation that should be performed when asset is matching this rule.
  `double`
  `getScore()`
  Returns the value that should be either added or set (depending on the operation) when this rule matches.
  `NamedResourceReference`
  `getStatus()`
  Returns the (optional) status this rule is matching on.

  ### Methods inherited from interface Entity

  `getId, setId`

  ### Methods inherited from interface Resource

  `getCreatedBy, getCreatedOn, getLastModifiedBy, getLastModifiedOn, getResourceType, isSystem`

- ## Method Details

  - ### getScore

    double getScore()
    Returns the value that should be either added or set (depending on the operation) when this rule matches.
    Returns:
      the value that should be either added or set to the articulation score

  - ### getOperation

    ArticulationOperation getOperation()
    Returns the type of an operation that should be performed when asset is matching this rule. Can be either ADD - which corresponds to adding articulation score or SET - which refers to setting the score.
    Returns:
      the type of an operation that increases articulation score

  - ### getStatus

    NamedResourceReference getStatus()
    Returns the (optional) status this rule is matching on.
    Returns:
      the status this rule is matching on

  - ### getAttributeType

    NamedResourceReference getAttributeType()
    Returns the (optional) attribute type this rule is matching on.
    Returns:
      the attribute type this rule is matching on